Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type MetaValue

    public @interface MetaValue

Represent a discriminator value associated to a given entity type

Required Element Summary
`Class` | `targetEntity` entity type
`String` | `value` discriminator value stored in database

Element Detail

### targetEntity

    public abstract Class targetEntity

  entity type

### value

    public abstract String value

  discriminator value stored in database

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.